using System;
using Microsoft.AspNetCore.Identity;
using MapTo;

namespace CodeLiturgy.Data.Application.Users
{
    
    /// <inheritdoc />

    public partial class ApplicationRoleClaim : IdentityRoleClaim<string>
    {

        public sealed override int Id { get; set; }

        #region ApplicationRole
        public sealed override string RoleId { get; set; }
        
        public ApplicationRole ApplicationRole { get; set; }

        #endregion

        public sealed override string ClaimType { get; set; }

        public sealed override string ClaimValue { get; set; }

    }
}
