namespace CodeLiturgy.Views.Languages;

public static class Translations
{
        internal static readonly Dictionary<string, Dictionary<string, string>> RouteTitle =
            new Dictionary<string, Dictionary<string, string>>
            {
                {
                    RootKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Inicio"},
                        {"eng", "Home"},
                        {"en-gb", "Home"}
                    }
                },
                {
                    SystemKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Sistema"},
                        {"eng", "System"},
                        {"en-gb", "System"},
                    }
                },

                {
                    RolesKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Tipos de Utilizador"},
                        {"en-gb", "Roles"},
                        {"eng", "Roles"}
                    }
                },
                {
                    ApplicationUsersKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Utilizadores da Aplicação"},
                        {"en-gb", "Users"},
                        {"eng", "Users"}
                    }
                },
                {
                    LogsKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Logs"},
                        {"en-gb", "logs"},
                        {"eng", "logs"}
                    }
                },
                {
                    SettingsKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Personalização"},
                        {"eng", "Settings"},
                        {"en-gb", "Settings"},
                    }
                },

                {
                    AuthAccountKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Conta"},
                        {"eng", "Account"},
                        {"en-gb", "Account"},
                    }
                },
                
                {
                    ChangePasswordKeyName, new Dictionary<string, string>()
                    {
                        {"pt", "Alterar Senha"},
                        {"eng", "Change Password"},
                        {"en-gb", "Change Password"},
                    }
                },
                
            };  
}