using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using CodeLiturgy.Data;
using CodeLiturgy.Data.Application;
using CodeLiturgy.Data.Application;
using MapTo;
using Microsoft.AspNetCore.Identity;

namespace CodeLiturgy.Data.Application.Users
{
    /// <summary>
    /// Application User in the Identity System.
    /// </summary>
    public partial class ApplicationUser : IdentityUser<string>
    {
        public new string Id { get; set; }
        public List<SiteEnvironment> Environments { get; set; }
        
        public List<Site> Sites { get; set; }
        
    }
}