using System;
using System.ComponentModel.DataAnnotations.Schema;
using CodeLiturgy.Data.Application.Users;
using MapTo;

namespace CodeLiturgy.Data.Application
{
    

    public partial class Site
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public string Id { get; set; }
        public SiteEnvironment Environment { get; set; }
        public string EnvironmentId { get; set; }
        public string Domain { get; set; }
        public ApplicationUser User { get; set; }
        public string UserId { get; set; }
        public string UrlAddress { get; set; }
        public SiteType SiteType { get; set; }
        
        public DateTime CreatedDate { get; set; }
        public DateTime LastChanged { get; set; }
    }
}

