﻿using System;
using BlueWest.Core;
using BlueWest.Core.ComponentSystem;
using PerformanceSolution.Core.System;

namespace BlueWest.Artefacts
{
    public class WorldArtefact: Artefact
    {
        
        public WorldArtefact()
        {
            Frequency = ArtefactFrequency.T30Hz;
        }


        protected override void Start()
        {
            AddComponent<TimeManagement>();
            Console.WriteLine("World Artefact enabled");
            //BlueConsole.Log("World Artefact started");
        }

        protected override void Update(double delta)
        {
            base.Update(delta);
        }

        protected override void OnEnable()
        {
            base.OnEnable();
        }

        protected override void OnDisable()
        {
            base.OnDisable();
        }
    }
}