﻿using System.Collections;
using System.Runtime.InteropServices;

namespace BlueWest.Coroutines
{
    [StructLayout(LayoutKind.Sequential)]
    public abstract class CustomYieldInstruction : IEnumerator
    {
        public abstract bool keepWaiting { get; }

        //
        // Properties
        //
        public object Current => null;

        //
        // Methods
        //
        public bool MoveNext()
        {
            return keepWaiting;
        }

        public void Reset()
        {
        }
    }
}