﻿namespace BlueWest.Coroutines
{
    public class WaitForSeconds : CustomYieldInstruction
    {
        public double finishTime;
        
        public WaitForSeconds(double seconds)
        {
            finishTime = Time.time + seconds;
        }
        
        public override bool keepWaiting => finishTime > Time.time;
    }
}