﻿using System;
using System.Collections.Generic;
using BlueWest.Tools;


namespace BlueWest.Core
{
    public sealed class BlueProgram
    {
        
        private static readonly Dictionary<Type, List<EventListenerBase>> Events = new(10000);
        
        private static readonly EventManager EventManager = new(Events);
        
        private readonly BlueConsole _blueConsole = new BlueConsole();
        
        public void Run()
        {

            _ = new ThreadServer(EventManager);
            BlueWestConsoleBanner();

        }

        private void BlueWestConsoleBanner()
        {
            Console.WriteLine(" |------------------------------«");
            Console.WriteLine(" »          CodeLiturgy Dashboard           «");
            Console.WriteLine(" |------------------------------«\n");
        }
        
    }
}